    clc; clear; close all;
    
    load exampleForDiegoData_AlignErr015; % Example of contours for a maximum regular model alignment error of 0.15.
    
    maxContourCountPerFrame = 5000;
    contourColors = jet(maxContourCountPerFrame); contourColors = contourColors(randperm(maxContourCountPerFrame),:);

    for f = 27 : 2 : frameCount
        % Show the current matches:
            % Get the 'i'-th frame:
            prevIm = frames(f-2).cdata;
            currIm = frames(f).cdata;
            
            load(sprintf('FilteredRegularClosedContours_%s_%03d', aviFileName, f-2), 'contourPts'); prevContourPts = contourPts;
            load(sprintf('FilteredRegularClosedContours_%s_%03d', aviFileName, f), 'contourPts'); currContourPts = contourPts;

            % Show the frame:
            contourMatches = allFrameFilteredContourMatches{f};
            matchCount = size(contourMatches,1);
            figure(10); clf; subplot(1,2,1); image(prevIm); hold on; axis image; hAx1 = gca;
                        for t = 1 : matchCount; plot(prevContourPts{contourMatches(t,1)}(1,:), prevContourPts{contourMatches(t,1)}(2,:), 'Color', contourColors(contourMatches(t,1),:), 'LineWidth', 4); end %#ok<USENS>
                        title(sprintf('Frames: %d, %d', f-2, f));
                        subplot(1,2,2); image(currIm); hold on; axis image; hAx2 = gca;
                        for t = 1 : matchCount; plot(currContourPts{contourMatches(t,3)}(1,:), currContourPts{contourMatches(t,3)}(2,:), 'Color', contourColors(contourMatches(t,1),:), 'LineWidth', 4); end %#ok<USENS>
                        linkaxes([hAx1, hAx2]);
            pause;
            
            contourColors2 = jet(maxContourCountPerFrame); contourColors2 = contourColors2(randperm(maxContourCountPerFrame),:);
            contourColors2(contourMatches(t,3),:) = contourColors(contourMatches(t,1),:);
            contourColors = contourColors2;
    end
